﻿<%@ PAGE EnableSessionState="True" title="" language="C#" masterpagefile="~/Site.master" autoeventwireup="true"
    inherits="ASLReports.Evalcompleted" codebehind="Evalcompleted.aspx.cs" %>

<ASP:CONTENT id="Content2" contentplaceholderid="MainContent" runat="Server">
    <script src="include/EvaluationCompletedd.js" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/treeFrame.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-1.8.18.custom.min.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-timepicker-addon.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-sliderAccess.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/date.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/popup.js") %>" type="text/javascript"></script>
    <script src="include/grid.locale-en.js" type="text/javascript"></script>
    <script src="include/jquery.jqGrid.min.js" type="text/javascript"></script>
    <script src="include/json2-min.js" type="text/javascript"></script>
    <style type="text/css">
        .myAltRowClass { background-color: #F8F8F8; background-image: none; }
    </style>
    <script language="javascript">
        $(document).ready(function () {
            HideAutoLogin();
            document.getElementById("IDtblMaster").style.height = $(window).height() - 100 + 'px';
            $("#LeftTree").height(($("#IDtblMaster").height() - ($("#leftSideMenu").height() + $("#tblSearchPanelID").height()+$("#UserDropdownTD").height()+30))  + 'px');
            $("#tdGrid").height($("#IDtblMaster").height() - 65 + 'px');
            
            var today = Date.parse('today').toString('yyyy-MM-dd');
            var yesterday = new Date().add(-1).day();
            var firstDayOfMonth = Date.today().moveToFirstDayOfMonth().toString('yyyy-MM-dd');
            var lastDayOfMonth = Date.today().moveToLastDayOfMonth().toString('yyyy-MM-dd');
            var month = Date.parse('today').toString('MM');
            var year = Date.parse('today').toString('yyyy');
            var quarterMonth = (Math.floor(month / 3) * 3) + 1;
            var quarter = (Math.floor(month / 3)) + 1;
            var lastQuarter = (quarter > 1) ? quarter - 1 : lastQuarter = 4;
            var quarterStartDate = (quarterMonth < 10) ? year + '-0' + quarterMonth + '-01' : year + '-' + quarterMonth + '-01';
            var quarterEndDate = Date.parse(quarterStartDate).add(2).months().moveToLastDayOfMonth().toString('yyyy-MM-dd');
            var lastFullMonthStart = Date.today().add(-1).months().moveToFirstDayOfMonth().toString('yyyy-MM-dd');
            var lastFullMonthEnd = Date.today().add(-1).months().moveToLastDayOfMonth().toString('yyyy-MM-dd');
            var lastFullQuarterStart = ((((lastQuarter - 1) * 3) + 1) < 10) ? year + '-0' + (((lastQuarter - 1) * 3) + 1) + '-01' : year + '-' + (((lastQuarter - 1) * 3) + 1) + '-01';
            var lastFullQuarterEnd = Date.parse(lastFullQuarterStart).add(2).months().moveToLastDayOfMonth().toString('yyyy-MM-dd');
            var lastFullYearStart = Date.today().add(-1).years().toString('yyyy') + '-01-01';
            var lastFullYearEnd = Date.today().add(-1).years().toString('yyyy') + '-12-31';
            var currentFullYearStart = Date.parse('today').toString('yyyy') + '-01-01';
            var currentFullWeekStart = Date.monday().toString('yyyy-MM-dd');
            var currentFullWeekEnd = Date.today().moveToDayOfWeek(0);
            var lastFullWeekStart;
            var lastFullWeekEnd;
            if (Date.today().is().monday()) {
                lastFullWeekStart = Date.today().last().monday().toString('yyyy-MM-dd');
                lastFullWeekEnd = Date.today().last().monday().add(+6).days().toString('yyyy-MM-dd');
            }
            else {
                lastFullWeekStart = Date.today().last().monday().add(-7).days().toString('yyyy-MM-dd');
                lastFullWeekEnd = Date.today().last().monday().add(-1).days().toString('yyyy-MM-dd');
            }
            
            $("#txtDateStart").datepicker(
            {
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var endDateTextBox = $("#txtDateEnd");
                    if (endDateTextBox.val() != '') {
                        var testStartDate = new Date(dateText);
                        var testEndDate = new Date(endDateTextBox.val());
                        if (testStartDate > testEndDate)
                            endDateTextBox.val(dateText);
                    }
                    else {
                        endDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var start = $(this).datepicker('getDate');
                    $("#txtDateEnd").datepicker('option', 'minDate', new Date(start.getTime()));
                }
            });
            $("#txtDateEnd").datepicker(
            {
                dateFormat: 'yy-mm-dd',
                onClose: function (dateText, inst) {
                    var startDateTextBox = $("#txtDateStart");
                    if (startDateTextBox.val() != '') {
                        var testStartDate = new Date(startDateTextBox.val());
                        var testEndDate = new Date(dateText);
                        if (testStartDate > testEndDate)
                            startDateTextBox.val(dateText);
                    }
                    else {
                        startDateTextBox.val(dateText);
                    }
                },
                onSelect: function (selectedDateTime) {
                    var end = $(this).datepicker('getDate');
                    $("#txtDateStart").datepicker('option', 'maxDate', new Date(end.getTime()));
                }
                , beforeShow: function () {
                    var d = $("#txtDateStart").datepicker('getDate');
                    if (d) return { minDate: d }
                }
            });

            $("#txtDateStart").attr('readOnly', 'true');
            $("#txtDateEnd").attr('readOnly', 'true');
            /*if ($("#txtDateEnd").val() == '')
                $("#txtDateEnd").datepicker('setDate', new Date());
            if ($("#txtDateStart").val() == '')
                $("#txtDateStart").datepicker("setDate", -7);*/

            $("#<%= ShortDateSelect.ClientID %>").change(function () {
                switch (this.value) {
                    case '0':
                        $("#txtDateEnd").datepicker('setDate', new Date());
                        $("#txtDateStart").datepicker("setDate", -7);
                        break;
                    case '1': //Today
                        $("#txtDateStart").datepicker('setDate', today);
                        $("#txtDateEnd").datepicker('setDate', today);
                        break;
                    case '2': //Yesterday
                        $("#txtDateStart").datepicker('setDate', yesterday);
                        $("#txtDateEnd").datepicker('setDate', yesterday);
                        break;
                    case '3': //This week
                        $("#txtDateStart").datepicker('setDate', currentFullWeekStart);
                        $("#txtDateEnd").datepicker('setDate', currentFullWeekEnd);
                        break;
                    case '4': //Last week
                        $("#txtDateStart").datepicker('setDate', lastFullWeekStart);
                        $("#txtDateEnd").datepicker('setDate', lastFullWeekEnd);
                        break;
                    case '5': //This month
                        $("#txtDateStart").datepicker('setDate', firstDayOfMonth);
                        $("#txtDateEnd").datepicker('setDate', lastDayOfMonth);
                        break;
                    case '6': //Last month
                        $("#txtDateStart").datepicker('setDate', lastFullMonthStart);
                        $("#txtDateEnd").datepicker('setDate', lastFullMonthEnd);
                        break;
                    case '7': //This Quarter
                        $("#txtDateStart").datepicker('setDate', quarterStartDate);
                        $("#txtDateEnd").datepicker('setDate', quarterEndDate);
                        break;
                    case '8': //Last Quarter
                        $("#txtDateStart").datepicker('setDate', lastFullQuarterStart);
                        $("#txtDateEnd").datepicker('setDate', lastFullQuarterEnd);
                        break;
                    case '9': //Year to date
                        $("#txtDateStart").datepicker('setDate', currentFullYearStart);
                        $("#txtDateEnd").datepicker('setDate', today);
                        break;
                    case '10': //Last Year
                        $("#txtDateStart").datepicker('setDate', lastFullYearStart);
                        $("#txtDateEnd").datepicker('setDate', lastFullYearEnd);
                        break;
                    default:
                        alert("ERROR! Select Executive Summary");
                        break;
                }
            });
            //------------------------Load Survey list in dropdown list-----------------------------------------------------
            $.ajax({ type: "POST",
                url: "PageFunctions.aspx/GetSurveyListDropDownList",
                contentType: "application/json; charset=utf-8",
                data: {},  // For empty input data use "{}",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                dataType: "json",
                success: LoadSurveyDropdownList,
                error: FailedSurvey
            });

            dataBindToGrid();
            jQuery("input#LoadDataInGrid").live("click", RefreshGrid);
        });

    function LoadSurveyDropdownList(results) {
        try {
            var obj = $.parseJSON(results.d);
            var option = '';
            $.each(obj, function () {
                option += '<option value="' + this["ID"] + '">' + this["Title"] + '</option>';
            });

            $('#QAList').append(option);

        } catch (e) {
            alert("LoadSurvey List JSON parsing Error.");
        }
    }

    function FailedSurvey(result) {
        alert(result.status + ' ' + result.statusText);
    }

    function TreeLogicforSQLOptions() {
        var SQL = '';
        var oldCheckBoxStatusVal = '';
        var elements = document.getElementById("<%= UsersTree.ClientID %>").getElementsByTagName('input');
        for (var i = 0; i < elements.length; i++) {
            if (elements.item(i).type == "checkbox") {
                if (elements.item(i).checked) {
                    var NodeValue = elements.item(i).nextSibling;
                    var ValuesofNode = NodeValue.nameProp.split("\\");
                    ValuesofNode = $(ValuesofNode).last()[0];
                    ValuesofNode = ValuesofNode.slice(0, -2);
                    var param = ValuesofNode.split(":");
                    var param1 = param[0];
                    var param2 = param[1];
                    var isGroup = param[2];
                    var treeID;
                    if (g_UserType == 1) { treeID = "#<%= ddlFilterUserTree.ClientID %>"; }
                    else { treeID = "#<%= ddlFilterUserTree1.ClientID %>"; }
                    if (isGroup.toString() == "0" || g_UserType == 0) {
                        var Parent = GetParentByTagName123("div", elements.item(i)).previousSibling;
                        var ParentCheckBox = Parent.getElementsByTagName("input")[0];
                        if (ParentCheckBox != null) {
                            if (param2 != "") {
                                if (ParentCheckBox.checked && g_UserType == 0) {
                                    if (SQL == '') {
                                        SQL = SQL + " (";
                                    }
                                    else {
                                        SQL = SQL + " or ";
                                    }
                                    if ($(treeID).val() == 0) {
                                        SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.UserNum=" + param2 + ")";
                                    } else {
                                        SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.Ext=" + param2 + ")";
                                    }
                                }
                                else {
                                    if (SQL == '') {
                                        SQL = SQL + " (";
                                    }
                                    else {
                                        SQL = SQL + " or ";
                                    }
                                    if ($(treeID).val() == 0) {
                                        SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.UserNum=" + param2 + ")";
                                    } else {
                                        SQL = SQL + "(CI.GroupNum=" + param1 + " AND CI.Ext=" + param2 + ")";
                                    }
                                }
                            }
                        }
                    }
                    else {

                        if (g_UserType == 1) {
                            if ($(elements.item(i)).next().html() == 'Parent') {
                                break;
                            }
                            else {

                                if (SQL == '') {
                                    SQL = SQL + " (";
                                }
                                else {
                                    SQL = SQL + " or ";
                                }
                                SQL = SQL + "(CI.GroupNum IN (" + param1 + "))";
                                oldCheckBoxStatusVal = param1;
                            }
                        }
                    }
                }
            }
        }
        if (SQL != "")
            SQL = SQL + " )";
        return SQL;
    }

    function GetEvalList(pdata) {
        $("#blocker").show();
        var params = new Object();
        params.startDate =  ($("#txtDateStart").val()).replace('-', '').replace('-', '');
        params.endDate =  ($("#txtDateEnd").val()).replace('-', '').replace('-', '');
        params.SurveyFormId = $("#QAList").val();
        params.EvaluationType = $('input[name=EvalType]:radio:checked').val();
        params.AgentId = 0;
        params.EvalStatus = 1;
        params.MinScore = 0;
        params.MaxScore = 0;
        if ($("#MinScore").val() != "")
            params.MinScore = $("#MinScore").val();
        if ($("#MaxScore").val() != "")
            params.MaxScore = $("#MaxScore").val();
        var SQL = TreeLogicforSQLOptions();
        if (g_UserType == 0 && SQL == "") {
            if (g_FirstTime == 0) {
                g_FirstTime = 1;
                $("#blocker").hide();
                return;
            }
            alert("Please select users.");
            $("#blocker").hide();
            return;
        }
        if (SQL.length>0)
            params.optionStr = ' AND (' + SQL + ')';
        else {
            params.optionStr = "";
        }
        params.page = pdata.page;
        params.rows = pdata.rows;
        params.sidx = pdata.sidx;
        params.sord = pdata.sord;

        if (pdata.page == '1') {
            $.ajax({
                url: "PageFunctions.aspx/GetEvalList",
                data: JSON.stringify(params),  // For empty input data use "{}",
                dataType: "json",
                type: "POST",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                contentType: "application/json; charset=utf-8",
                success: successFunction,
                error: ErrorFunction

            });
        }
        else {
            $.ajax({
                url: "PageFunctions.aspx/GetEvalListNextPage",
                data: JSON.stringify(params),  // For empty input data use "{}",
                dataType: "json",
                type: "POST",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                contentType: "application/json; charset=utf-8",
                success: successFunction,
                error: ErrorFunction

            });
        }
    }
    function ValidateNumber(e) {
        if (e.which < 48 || e.which > 59) {
            e.preventDefault();
        }
    }
       
function ShareEvaluatoin(rowid, shareflag) 
    {
    $("#blocker").show();
    var arrEvalIds = [];
    var arrRowIds = [];
    var flag = 0;
    var cczpx = <%=getUsertype()%>;
        var tteaxdfdf = $("#<%= ttHiddenUIDX.ClientID %>").val();
    if (rowid == -1) {
        var rows = $("#EvaList").getDataIDs();
        for (var a = 0; a < rows.length; a++) {
            var row = $("#EvaList").getRowData(rows[a]);
            if ($('#' + row["idx"] + ' input[type=checkbox]').prop('checked')) {
                if (tteaxdfdf == row["EVALUATORIDX"] || cczpx == 1) {
                    arrEvalIds.push(row["EVALUATIONIDX"]);
                    arrRowIds.push(row["idx"]);
                    flag = 2;
                } else {
                     alert("You cannot share/unshare evaluations created by other users. \nEvaluation ID:" + row["EVALUATIONIDX"]);
                }
            }
        }
    } else {
        var row = $("#EvaList").getRowData(rowid);
        if (tteaxdfdf == row["EVALUATORIDX"] || cczpx == 1) {
            arrEvalIds.push(row["EVALUATIONIDX"]);
            arrRowIds.push(row["idx"]);
            flag = 2;
        } else {
            alert("You cannot share/unshare evaluations created by other users. \nEvaluation ID:" + row["EVALUATIONIDX"]);
        }
    }
    if (flag == 0) {
            if(shareflag == 1)
                alert("Please select evaluations you want to share.");
            else
                alert("Please select evaluations you want to un share.");
    }else {
        if (arrEvalIds.length > 0) {
            var params = new Object();
            params.EvalCallIDs = arrEvalIds;
            params.shareflag = shareflag;

            $.ajax({
            url: "PageFunctions.aspx/ShareEvaluations",
            data: JSON.stringify(params),  // For empty input data use "{}",
            dataType: "json",
            type: "POST",
            serializeGridData: function (postData) {
                return JSON.stringify(postData);
            },
            contentType: "application/json; charset=utf-8",
            success: function (result) {
                if ($.isNumeric(result.d) && result.d > 0) {
                    $(arrRowIds).each(function(){
                        var row = $("#EvaList").getRowData(this);
                        var evalShared = "<img src=\"Images/share.gif\" style=\"height:16px;padding-left:2px;\" onclick=\"ShareEvaluatoin(" + row["idx"] + ", 0);\" title=\"Click to Unshare Evaluation\"/>";
                        if (shareflag == 0)
                            evalShared = "<img src=\"Images/unshare.gif\" style=\"height:16px;padding-left:2px;\" onclick=\"ShareEvaluatoin(" + row["idx"] + ", 1);\" title=\"Click to share Evaluate\"/>";
                                        
                        $("#EvaList").setCell(row["idx"], getColumnSrcIndexByName('Status'), evalShared, '', '');
                        if (shareflag == 0)
                            $("#EvaList").setCell(row["idx"], getColumnSrcIndexByName('IsSharedIDX'), '', 'True', '');
                        else {
                            $("#EvaList").setCell(row["idx"], getColumnSrcIndexByName('IsSharedIDX'), 'False', '', '');
                        }
                    });
                    $("#blocker").hide();
                    return false;
                } else {
                    if(shareflag == 1)
                        alert("Unable to share evaluations in databse.");
                    else
                        alert("Unable to unshare evaluations in databse.");
                }
            },
            error: function (result) { alert(result.statusText); }
            });
        }
    }
    
    $("#blocker").hide();
}

function DeleteEvaluatoin() {
    $("#blocker").show();
    var arrEvalIds = [];
    var arrRowIds = [];
    var flag = 0;
    var cczpx = <%=getUsertype()%>;
    var tteaxdfdf = $("#<%= ttHiddenUIDX.ClientID %>").val();
    var rows = $("#EvaList").getDataIDs();
    for (var a = 0; a < rows.length; a++) {
        var row = $("#EvaList").getRowData(rows[a]);
        if ($('#' + row["idx"] + ' input[type=checkbox]').prop('checked')) {
            if (tteaxdfdf == row["EVALUATORIDX"] || cczpx == 1) {
                arrEvalIds.push(row["EVALUATIONIDX"]);
                arrRowIds.push(row["idx"]);
                flag = 2;
            } else {
                alert("You cannot delete evaluations created by other users. \nEvaluation ID:" + row["EVALUATIONIDX"]);
            }
        }
    }
    
    if (flag == 0) {
            alert("Please select evaluations you want to delete.");
    }
    else {
        if (arrEvalIds.length > 0) {
            if (window.confirm("Evaluations will not be available after rejection. \nAre you sure to reject the selected evaluation(s)?") == true) {
                var params = new Object();
                params.EvalCallIDs = arrEvalIds;

                $.ajax({
                url: "PageFunctions.aspx/DeleteEvaluations",
                data: JSON.stringify(params),  // For empty input data use "{}",
                dataType: "json",
                type: "POST",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                contentType: "application/json; charset=utf-8",
                success: function (result) {
                    if ($.isNumeric(result.d) && result.d > 0) {
                        $(arrRowIds).each(function(){
                            $("#EvaList").delRowData(this);
                        });
                        $("#blocker").hide();
                        return false;
                    } else {
                        alert("Unable to delete the evaluations in databse.");
                    }
                },
                error: function (result) { alert(result.statusText); }
            });
            }
        }
    }
    
    $("#blocker").hide();
}
                        
    </script>
    <div id="blocker" style="display:none">
        <div style="width: 80px; height: 60px;padding-left: 15px; padding-top: 15px; background-color:#ECE9D8; border:1px solid black;filter: alpha(opacity = 90);opacity:.90;"><img src="Images/Loader.gif" alt="Please wait while Loading..."/><br/><span style="font-family:Calibri;font-size:14pt;">Loading...</span></div>
    </div>
    <table class="main" cellpadding="0" cellspacing="0" border="0" id="tableMain" style="height: 100%; width: 100%;background-color: #F8F8F8;">
        <tr id="IDtrParent">
            <td class="leftCol" valign="top" id="tdLeftPanel" style="background: #A1D8F1; height:100%; width: 250px;">
                <div id="leftSideMenu" style="background: #FFF;width: 100%;">
                    <ul class="MenuStyle"><li>Evaluation Menu</li></ul>
                    <ul>
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="Evaluation.aspx">Calls under Evaluation</a><br /></li>                                  
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="Evalcompleted.aspx" style="color:#800000;">Closed Evaluations</a><br /></li>
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="CampaignList.aspx">QA Campaign List</a><br /></li>
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="Campaign.aspx">New QA Campaign</a><br /></li>
                    </ul>
                    <ul class="blueBar" style="margin-top: 3px;"><li>Search Criteria</li></ul>
                </div>
                <ASP:UPDATEPANEL runat="server" id="upd1" updatemode="Always" rendermode="Block">
                    <CONTENTTEMPLATE>
                        <table style="width: 100%" id="UserTreeTDID">
                            <tr>
                                <td style="width: 100%; vertical-align:top; height:20px;" id="UserDropdownTD">
                                    <%
                                        if (getUsertype() == 1)                                            
                                    {%>
                                    <ASP:DROPDOWNLIST runat="server" id="ddlFilterUserTree" onselectedindexchanged="ddlFilterUserTree_SelectedIndexChanged"
                                        autopostback="true" cssclass="DropDownChannels">

                                        <ASP:LISTITEM text="Show Channel Names" value="4"></ASP:LISTITEM>
                                        <ASP:LISTITEM text="Show Users" value="0" selected="True"></ASP:LISTITEM>
                                        <ASP:LISTITEM text="Show Groups" value="-1"></ASP:LISTITEM>
                                        <ASP:LISTITEM text="Show Channels" value="1"></ASP:LISTITEM>
                                    </ASP:DROPDOWNLIST>
                                    <%}
                                    else
                                    {%>
                                    <ASP:DROPDOWNLIST runat="server" id="ddlFilterUserTree1" onselectedindexchanged="ddlFilterUserTree_SelectedIndexChanged"
                                        autopostback="true" cssclass="DropDownChannels">
                                        <ASP:LISTITEM text="Show Users" value="0" selected="True"></ASP:LISTITEM>
                                    </ASP:DROPDOWNLIST>
                                    <%} %>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 100%; background-color: #D5EBF6; vertical-align:top;">
                                    <div style="width: 100%; height: 200px; float: left; overflow: auto;" id="LeftTree">
                                        <ASP:TREEVIEW id="UsersTree" runat="server" showlines="true" showcheckboxes="All" cssclass="TreeViewLinkdesign">
                                        </ASP:TREEVIEW>
                                    </div>
                                </td>
                            </tr>
                          </table>
                    </CONTENTTEMPLATE>
                </ASP:UPDATEPANEL>
                <table style="padding-top: 3px;" id="tblSearchPanelID">
                        <tr>
                            <td class="SearchCSS" style="font-weight: bold;padding-bottom: 3px;">Shorcut:</td>
                            <td colspan="2">
                                <ASP:DROPDOWNLIST id="ShortDateSelect" runat="server" cssclass="DropDown4Search">
                                    <ASP:LISTITEM value="1" text="Quick Date selection"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="1" text="Today"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="2" text="Yesterday"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="3" text="This week"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="4" text="Last week"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="5" text="This month"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="6" text="Last month"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="7" text="This Quarter"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="8" text="Last Quarter"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="9" text="Year to date"></ASP:LISTITEM>
                                    <ASP:LISTITEM value="10" text="Last Year"></ASP:LISTITEM>
                                </ASP:DROPDOWNLIST>
                            </td>
                        </tr>
                        <tr style="padding-top: 3px; padding-bottom: 3px;">
                            <td class="SearchCSS" style="font-weight: bold;">Date:</td>
                            <td colspan="2">
                                <input type="text" id="txtDateStart" class="textEntryDate" placeholder="FROM"/>
                                <input type="text" id="txtDateEnd" class="textEntryDate" placeholder="TO"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="SearchCSS" style="font-weight: bold;">QA Form:</td>
                            <td colspan="2" style="padding-top: 3px;">
                                <select id="QAList" class="DropDown4Search">
                                    <option value="0">Select Evaluation Form</option>
                                </select>
                            </td>
                        </tr>
                        <tr style="padding-top: 3px;">
                            <td class="SearchCSS" nowrap="nowrap" style="font-weight: bold;">Score:</td>
                            <td colspan="2">
                                <input type="text" id="MinScore" class="textEntryDate" placeholder="Min. Score" onkeypress="return ValidateNumber(event)"/>
                                <input type="text" id="MaxScore" class="textEntryDate" placeholder="Max. Score" onkeypress="return ValidateNumber(event)"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="SearchCSS" style="font-weight: bold;">Evaluations:</td>
                            <td colspan="2">
                                <div id="EvalationType">
                                    <label><input type="radio" value="-1" name="EvalType"  id="EvalType" checked="checked"><span>ALL</span></label>
                                    <label><input type="radio" value="1"  name="EvalType"  id="EvalType"><span>SHARED</span></label>
                                    <label><input type="radio" value="0"  name="EvalType"  id="EvalType"><span>UNSHARED</span></label>
                                </div>
                            </td>
                        </tr>
                        <tr style="padding-top: 3px;">
                            <td colspan="3" valign="bottom" style="padding-left: 57px;">
                                <input type="button" id="LoadDataInGrid" value="Search" class="submitButton" />
                            </td>
                        </tr>
                    </table>
            </td>
            <td valign="top">
                <table cellpadding="0" cellspacing="0" width="100%">
                    <tr><td class="g-Question">Closed Evaluations</td></tr>
                    <tr><td style="background: #A1D8F1; width: 100%; height: 30px;" id="EvaluationOpration">
                            <a href="#" onclick="EvaluateCalls();"><img src="Images/modify.png"/>&nbsp;View Detail</a>
                            <a href="#" onclick="ShareEvaluatoin(-1,1);"><img src="Images/share.gif"/>&nbsp;Share Evaluation</a>
                            <a href="#" onclick="ShareEvaluatoin(-1,0);"><img src="Images/unshare.gif"/>&nbsp;Unshare Evaluation</a>
                            <a href="#" onclick="DeleteEvaluatoin();"><img src="Images/trashcan-delete.png"/>&nbsp;Reject Evaluation</a>
                        </td></tr>
                    <tr>
                        <td valign="top" id="tdGrid" style="width:100px; height:100px;">
                            <table id="EvaList" class="scroll" cellpadding="0" cellspacing="0">
                            </table>
                            <div id="pager" class="scroll" style="text-align: center;"></div>                            
                        </td>
                    </tr>
                </table>
            </td>            
        </tr>
    </table>
    
    <div id="EvaluationFormDiv" class="SurveyMainheader" style="display: none;">
    </div>
    <ASP:HIDDENFIELD runat="server" id="txtRowCount"></ASP:HIDDENFIELD>
    <ASP:HIDDENFIELD runat="server" id="ttHiddenUIDX"></ASP:HIDDENFIELD>
    <div style="display: none;" id="ASPlayerDivID">
        <object id="ASPlayer" height="50" width="620" classid="CLSID:789D82F3-94EB-4508-AFB7-64928DCFB306" codebase="ASLPLayer.cab">
            <param name="NotifyProcess" value="1"/>
            <param name="Version" value="1"/>
        </object>
    </div>
</ASP:CONTENT>